
Figure - Bug #116947
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111055 (New): AF-V2.0-Launcher/SystemUI-控制中心-4播放器

【AF】【EVT】【音乐播放器】打开荔枝app，播放广播，音乐播放器显示异常
2023-03-14 19:28 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-14

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303191230

Reproducibility: Every time Fixed Version: 2023-03-16

Test Type: ST Root cause: 第三方音乐应用发送的控制顺序和我们的设计不兼容导致。

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、使用荔枝播放广播

2、打开控制中心

【预期结果】

2、控制中心音乐播放器显示正常

【实际结果】

2、音乐播放器的部分按钮显示异常

【复现率】

3/3

History

#1 - 2023-03-15 17:07 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2023-03-16 19:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

187971 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:SnapdragonMusic:Opt send notification action button.TC-RID: 1201-0301201IssueID: TS-R-BUG-116947Change-Id:

Iedbaed2d59f16ab81b2db7c61150fc579df46773

#3 - 2023-03-16 19:31 - IoT scm
Gerrit Merge Information：

ID Project Branch Uploader

187972 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:SystemUI: Fix music controller action button problem.TC-RID: 1201-0201903IssueID: TS-R-BUG-116947Change-Id:

I323c1d955c7fcd9ceae220a7c25056fb8d4751d7

#4 - 2023-03-16 19:39 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-16

- Root cause set to 第三方音乐应用发送的控制顺序和我们的设计不兼容导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

第三方音乐应用发送的控制顺序和我们的设计不兼容导致。已针对第三方音乐应用进行适配，若后续再有第三方音乐应用音乐控制有问题，可能需要单

独适配。

音乐控制按钮的样式（包含颜色大小）由第三方音乐应用提供，系统无法修改，所以不做适配处理。

■ Next action

测试验证。

#5 - 2023-03-20 16:57 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303191230

3.20

验证通过

#6 - 2023-03-20 16:57 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
